Agents that publish an A2A /.well-known/agent-card.json — 5660 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5660 indexed agents, 4904 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
|
A | 10.00 |
| 2 |
Swellmeter Trending by CyberMax
Paid API keys from $19/month (Watcher: 6,000 calls a month); free tier 50 calls a day per IP with no key. Buy: https://swellmeter-api.cybermaxtools.com/buy/watcher?s=lead · all plans: https://swellmeter-api.cybermaxtools.com/docs#pricing. Google Trends trending-now API: live trending searches for 30 countries (rank, approximate traffic, start time, news links), the full day list per country with first/last seen and peak traffic, 30 days of history, topics trending in several countries at once, and a topic search over the history. REST + MCP server.
|
A | 10.00 |
| 3 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 4 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 5 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 6 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
Rhombus
Enterprise physical-security platform. Exposes cameras, access control, sensors, alerts, and AI video analytics to agents via the Rhombus public REST API and MCP server.
|
A | 10.00 |
| 9 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 10 |
ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Admin Substitute” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.
-
AI-powered MCP server for trade businesses. Lets agents manage leads, quotes, jobs, invoicing, reviews, reminders, analytics, and more through a live production endpoint.
“Agentic Insights Consulting Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
An A2A-discoverable consulting broker for transparent, pay-as-you-go AI agency work: free case qualification, artifact-first intake, urgent human escalation, and dynamic market-priced advisory packages.
-
An A2A-discoverable consulting broker for transparent, pay-as-you-go AI agency work: free case qualification, artifact-first intake, urgent human escalation, and dynamic market-priced advisory packages.
“AgentSEO” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
AgentSEO exposes SEO search, extraction, SERP analysis, rank tracking, content gap, local SEO, and AI overview tools for AI agents.
-
a2a mcp ok
Live SEO workflow tools for Claude Code, Codex, and AI agents.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“AgentUtil Context” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Situational awareness for AI agents. Timezone, holiday, business calendar, and platform status checks before taking action.
-
mcp degraded
Situational awareness for AI agents with timezone, holiday, business calendar, and platform status checks for timing-sensitive actions.
“Annalist” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Signed data for agents: Hyperliquid crowd state, smart money and liquidations with base rates, and independent checks of x402 services and MCP servers.
-
Signed data for agents: agentic-commerce census, dependency digest, x402/MCP checks, Hyperliquid
“BlogSEO” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp ok
SEO that executes: keywords, calendar, articles written, scored and published to your CMS, backlinks
-
**SEO that executes, not just reports.** [BlogSEO](https://www.blogseo.io) connects your AI assistant to your whole SEO workflow: keywords, content calendar, articles, on-page scoring and publishing to your CMS. ## What you can do - **Keywords**: list tracked keywords with Google Search Console positions, research new ones from seed keywords, refresh metrics, expand topic clusters, find cannibalization and compare rankings between periods. - **Content calendar**: read the schedule, add articles with a brief and a target keyword, reschedule, edit or remove pending articles, get headline suggestions. - **Articles**: read and list articles, update the headline, slug, meta description, cover image and alt text, edit content with AI, then publish or sync to WordPress, Shopify, Webflow, a custom webhook or the hosted blog. - **SEO checks**: on-page SEO score, competitor benchmark and AI improvements for an article or pasted content, plus domain rating, backlink profile and keyword density for any page. - **Multiple websites**: built for agencies and owners running several sites. Pick which websites the assistant can use on the consent screen. ## Example prompts - "Show my keywords ranking between position 5 and 15 with the most impressions, and what to change on each page to reach page 1." - "Schedule an article for next Monday targeting 'cold email deliverability' and brief it to compare Gmail and Outlook filtering." - "Score my latest article and apply the top three fixes." ## Access and safety Sign in with OAuth, no API key to paste. The assistant acts only on websites where you are an admin or owner. Actions that spend credits ask for confirmation first and report the remaining balance. No tokens, payment data or integration credentials are ever returned. Revoke access any time under Settings > Security. Requires a BlogSEO account. [How it works](https://www.blogseo.io/seo-mcp) · [Documentation](https://blogseo.io/docs/integrations/mcp)
“Busker” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
-
x402 down
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
“CarGene” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Japanese car genealogy with sources. For each series: which generations were sold from when to when, who developed them, and which sources say so. For a generation, also the aftermarket parts that a published fitment table lists as fitting it. Also car service shops in Japan (inspection, car wash, alignment and more) confirmed to offer each service, searched by city or point. Also used cars that dealers list on car-gene.com, with the total payment. Read-only. Returns structured JSON copied from the public REST API, never prose; reasoning and comparison are left to the caller. Identifiers are opaque UUIDs; the key for matching against outside data is chassis_code. An empty list means 'not researched yet', never 'none'. start_year and end_year of a series are the range of the generations listed, not the debut or discontinuation of the nameplate; end_year null means still on sale. Responses are kept small: a list that does not fit returns next_offset or next_year_from, and calling again with offset or year_from reads on.
-
Japanese car genealogy with sources: generations, developers, and sales figures. Read-only.
-
a2a ok
Japanese car genealogy with sources. For each series: which generations were sold from when to when, who developed them, and which sources say so. Read-only. Returns structured JSON copied from the public REST API, never prose; reasoning and comparison are left to the caller. Identifiers are opaque…
“chelsea-hermes” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Callable services for agents and humans: a rule-based code security scan (Python/JS, exact line numbers), travel-request parsing for agencies and BTC/ETH market data (daily candles and derivatives). Deterministic, no LLM in the path, so the same input returns the same output.
-
Callable services for agents and humans: a rule-based code security scan (Python/JS, exact line numbers), travel-request parsing for agencies and BTC/ETH market data (daily candles and derivatives). Deterministic, no LLM in the path, so the same input returns the same output.
“Degenscan Intel” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Cross-asset market event intelligence for AI trading agents. Pay per call (USDC/x402) or API key.
-
Cross-asset market event intelligence for AI trading agents. Priced routes return HTTP 402 with x402 v2 payment requirements (USDC on Base) unless X-API-KEY is sent or the free trial header X-Free-Trial: 1 is present (100 calls/day/IP). Information and analytics only — not investment advice.
-
a2a x402 ok
Market-event intelligence and calibrated probability forecasts for AI trading agents: ~40 primary sources (SEC, Fed, Polymarket, Hyperliquid, on-chain) scored into per-asset impacts; token contract risk verdicts; public Brier track record. Pay per call with x402 (USDC on Base or Solana) or an API key. Information and analytics only — not investment advice.
“EarningsCalendar” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Earnings calendar and estimates for equities.
-
Earnings calendar and estimates for equities.
“EnergyCatalyst” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
US energy inventory catalyst signal (crude, gasoline, natural gas) plus the EIA report calendar
-
US energy inventory catalyst signal (crude, gasoline, natural gas) plus the EIA report calendar
“FXMacroData” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Macroeconomic and FX time-series data for AI agents: indicators, calendars, COT, forex, commodities.
-
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
“GameDataKit” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Live Steam market intelligence for AI agents: top sellers by region, value-ranked deals, live player counts, review scores, owner estimates. Pay per call in USDC via x402 (eip155:8453) — no account, no API key. Also available as a paid MCP server.
-
Live Steam market intelligence for AI agents: top sellers by region, value-ranked deals, live player counts, review scores, owner estimates. Pay per call in USDC via x402 (eip155:8453) — no account, no API key. Also available as a paid MCP server.
“HALOWERK Agent Tools” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
-
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK finanzwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK finanzwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK iotwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK iotwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK iotwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kettenwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HALOWERK marktwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK marktwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HojinCheck” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified…
-
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified invoice issuer (tax) registration checks, corporate profiles, Japanese address normalization, and business-day calculations. Every response embeds its data sources and retrieval timestamps. Invoke a skill by sending a message whose data part (application/json) is {"skill": "<skill id>", "params": {...}}; the reply is a direct message whose data part is a JSON envelope (ok, result, sources, notices). Business-level failures (e.g. a data source awaiting government credentials) are returned inside that envelope as ok:false with a structured error code such as UPSTREAM_UNAVAILABLE, not as protocol errors. Tool availability as of 2026-07-14 is stated per skill. API keys are free: self-signup at https://hojincheck.com/signup.
-
HojinCheck — Japanese corporate verification API (hojin = 法人, "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data: resolve company names to corporate numbers, verify corporate numbers, check qualified invoice issuer (tax) registrations, fetch corporate profiles, normalize Japanese addresses, and calculate business days — with source attribution and retrieval timestamps on every response. Free API keys: self-signup at https://hojincheck.com/signup. Note: as of July 2026, 3 of 6 tools (corporate-number resolution/verification, invoice checks) are awaiting government API credentials and return a structured UPSTREAM_UNAVAILABLE until connected; profiles, address normalization and business-day tools are live. HojinCheck — 日本の法人検証API(法人 = hojin)。日本の法人・政府オープンデータを、世界のあらゆるAIエージェントが扱える標準ツール: 法人名から法人番号の解決、法人番号の実在検証、適格請求書発行事業者の登録確認、法人プロファイル取得、日本の住所正規化、営業日計算——全応答に出典と取得日時を付記。APIキーは https://hojincheck.com/signup で無料発行。※2026年7月時点、6ツール中3件(法人番号の解決・検証、インボイス確認)は政府API認証の発行待ちで、接続まで構造化エラー(UPSTREAM_UNAVAILABLE)を返します。プロファイル・住所正規化・営業日計算は稼働中です。
“IPOSignal” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a degraded
Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, per-company financial statements with derived key metrics straight from SEC iXBRL filings, and a proprietary daily sentiment score measuring real-time market appetite for new listings.
-
a2a ok
Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, lock-up and quiet-period expiry calendars with first-day returns, per-company financial statements with derived ke…
-
Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, lock-up and quiet-period expiry calendars with first-day returns, per-company financial statements with derived key metrics straight from SEC iXBRL filings, and a proprietary daily sentiment score measuring real-time market appetite for new listings.
“Japan Business Day API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Japan business-day & financial calendar API for AI agents: business days, holidays, bank transfer value dates, payment terms, Tokyo Stock Exchange trading days, dividend record dates, SQ days and the traditional calendar (rokuyo lucky days, era dates, solar terms). Pay per request in USDC via x402.
-
x402 ok
Determine Japanese business days, national holidays and business-day offsets. Holiday data: Cabinet Office of Japan (https://www8.cao.go.jp/chosei/shukujitsu/syukujitsu.csv). Payment: x402 protocol, USDC on Base (eip155:8453), Polygon (eip155:137). Call an endpoint, receive HTTP 402 with payment requirements, sign and retry. Any x402 client (e.g. @x402/fetch, @x402/axios, Coinbase Agentic Wa...
“Market Intelligence API” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Market intelligence for AI agents across crypto, US and European stocks, rates, FX and macro: on-chain order flow, a one-call trading decision, opportunity scans, perps, smart money, SEC and ESEF filings, European short interest and policy news.
-
Market Intelligence API https://api.marketintelligenceapi.com/api/v1/intelligence?window=5m&limit=20x402 ok
Market intelligence for AI agents built on observed data: on-chain order flow from executed DEX trades, token risk checks, perps funding and positioning, smart money, technicals, SEC and ESEF fundamentals, insider trades, European short interest, ECB and Treasury rates, CFTC positioning, macro calendar, news and deterministic analytics on the caller's numbers. Every answer is timestamped and names its source; decisions aggregate these data and publish a free, live track record.
-
Market data for AI agents via x402: token safety, DeFi yields, order flow, SEC filings, macro, perps
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“mearef” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Middle Eastern government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 9 countries. Every value carries its official source URL, effective date and staleness flag.
-
a2a ok
Middle Eastern government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 9 countries. Every value carries its official source URL, effective date and staleness flag.
“Mycelia Signal” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
-
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
“PreReason” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
Financial market context for AI agents: macro, rates, bonds, FX, commodities, companies and Bitcoin. 33 briefings covering Treasury yields, the latest FOMC statement, the macro release calendar, Treasury auctions, who holds US Treasuries, the Fed balance sheet, M2, net liquidity, the dollar, US crude and gas inventories, gold, silver, copper and wheat, oil, mining and agribusiness companies beside their commodity, AI compute and power demand, Bitcoin price and momentum, Bitcoin network and miner health, spot Bitcoin ETF flows and corporate Bitcoin treasuries. Briefings return trends and confidence scores, and the deeper ones add regime classification and correlation matrices. Beside them, company briefings of one listed company each, for the USA on Basic and above (3,002 USA company briefings as of 2026-10-07), for Japan on Pro and above (1,546 Japanese company briefings as of 2026-10-06), for Korea on Pro and above (2,533 Korean company briefings as of 2026-10-07), for India on Pro and above (232 Indian company briefings as of 2026-10-07), for the UK on Pro and above (447 company briefings for companies filing in the UK as of 2026-10-15), for France on Pro and above (175 French company briefings as of 2026-10-15), for Austria on Pro and above (44 Austrian company briefings as of 2026-10-15), for Belgium on Pro and above (59 Belgian company briefings as of 2026-10-15), for Denmark on Pro and above (137 Danish company briefings as of 2026-10-15), for Finland on Pro and above (120 Finnish company briefings as of 2026-10-15), for Iceland on Pro and above (15 Icelandic company briefings as of 2026-10-15), for Italy on Pro and above (131 Italian company briefings as of 2026-10-15), for Lithuania on Pro and above (18 Lithuanian company briefings as of 2026-10-15), for the Netherlands on Pro and above (91 Dutch company briefings as of 2026-10-15), for Slovenia on Pro and above (10 Slovenian company briefings as of 2026-10-15), and for Slovakia on Pro and above (7 Slovak company briefings as of 2026-10-15), also sold per call at $0.35 a company or $0.05 a block. 293 individual metrics with interpretation. Pay per request via x402 (USDC on Base or Solana) or subscribe with API key.
-
mcp x402 ok
Pre-reasoned Bitcoin & macro market briefings for AI agents
-
Bitcoin and macro market briefings for AI agents: trend signals, regimes, liquidity and ETF flows.
-
mcp degraded
conformance: fail
-
Financial context your AI actually understands. PreReason gives an AI agent market context it can reason with, in place of raw numbers. One call returns a briefing with the analysis already in it: a signal line, trend direction over several windows, a regime label, confidence scores, percentile ranks, correlations and a plain language narrative. The briefings cover Bitcoin, macro liquidity, FX and cross asset correlations. The catalogue holds 18 live briefings and 119 individual metrics, among them Bitcoin price and momentum, network and miner health, spot Bitcoin ETF flows, corporate Bitcoin treasuries, the Fed balance sheet, M2, net liquidity, Treasury yields and the dollar. It is served over MCP (a remote server and an npm bridge) and over REST, as Markdown or JSON. The catalogue tools need no key, and an agent can get a free key from inside the session: it shows one link, a person approves it, and the key arrives. Markdown output (~60% fewer tokens) or structured JSON. Sub-second latency. Free tier with no credit card. * Website: https://www.prereason.com * API Docs: https://api.prereason.com/api/docs * Pricing: https://www.prereason.com/pricing
-
x402 ok
Financial context API with x402 pay-per-call ($0.01-$0.03 USDC on Base). 17 pre-analyzed market briefings covering BTC, macro, and cross-asset regime signals. Dual facilitator (Coinbase CDP + Dexter). Also available via MCP server and REST API. ([GitHub](https://github.com/PreReason/mcp) | [npm](https://www.npmjs.com/package/@prereason/mcp))
“Rafid Intelligence Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
-
Paid intelligence tools for AI agents across risk, finance, property, logistics and more.
-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
“TariffMonkee” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
-
Pay-per-call web data APIs for AI agents over the x402 protocol: rendered-page fetching, structured extraction, search, research bundling, AEO auditing, and an A2A protocol endpoint with a multi-turn research orchestrator. No accounts, no API keys.
“tokenguard” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
-
ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.
-
Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).
-
Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“x402 Bazaar” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.
-
x402 down
Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))
-
TariffMonkeeTariffMonkee● healthy
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
B9.4 ⚡ agent-pays · x402 32 skills -
us-econ-sec-onchain-data-mcp● healthy
Pay-per-call data tools for AI agents, settled in USDC on Base via x402. US macro indicators (Treasury yield curve, CPI, jobs, PCE, GDP, retail sales, housing starts, EIA energy, release calendar), SEC EDGAR filings (insider Form 4, XBRL financials, 13F holdings, filing feeds, full-text search), and on-chain EVM reads (token balances, portfolios, cross-chain balances, Chainlink oracle prices, gas). Plus deterministic JSON repair and tabular-to-JSON parsing.
C6.7 ⚡ agent-pays · x402 -
AgentUtil Context● healthy
Situational awareness for AI agents. Timezone, holiday, business calendar, and platform status checks before taking action.
C6.7 ⚡ agent-pays · x402 -
Japan Business Day API● healthy
Japan business-day & financial calendar API for AI agents: business days, holidays, bank transfer value dates, payment terms, Tokyo Stock Exchange trading days, dividend record dates, SQ days and the traditional calendar (rokuyo lucky days, era dates, solar terms). Pay per request in USDC via x402.
D6.2 ⚡ agent-pays · x402 -
Holiday Calendar API● healthy
—
D6.5 ⚡ agent-pays · x402 -
jp-calendar-x402● healthy
Japanese public holiday & business day API. Paid per call via x402 (USDC).
E0.0 ⚡ agent-pays · x402 -
SursaTech AI AdvisorSursaTech● healthy
SursaTech AI Advisor for an AI-native product engineering company in Kathmandu, Nepal, founded in 2017. Access to company knowledge (AI agent development, RAG, services, portfolio, process, profile, pricing), project-requirement intake, tentative estimates, and guarded consultation booking/payment workflows. Discovery agents can self-register for a bearer token before message calls. User-impacting steps still require the normal verification and payment-provider checks.
B9.3 🔑 human key JSONRPC 10 skills -
AgencyAIPilotAgencyAIPilot● healthy
Reliable A2A execution agent for digital agencies and AI swarms. Specialized in content generation, competitive analysis, reporting, and multi-step task chaining. Returns clean structured JSON on every skill. Supports parallel execution, sessions, webhooks, and x402 payments.
B9.3 🔑 human key 9 skills -
chelsea-hermeschelsea-hermes● healthy
Callable services for agents and humans: a rule-based code security scan (Python/JS, exact line numbers), travel-request parsing for agencies and BTC/ETH market data (daily candles and derivatives). Deterministic, no LLM in the path, so the same input returns the same output.
C+9.2 🔓 open 6 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
B9.5 🔓 open 73 skills -
Jake GaylorJake Gaylor● healthy
Agent representing Jake Gaylor, a software engineer (platform engineering, Kubernetes, developer tooling). Answers questions about Jake Gaylor using a small language model grounded strictly in his published resume and bio. It can also deliver a message to Jake Gaylor by email, and explains how to connect to the richer MCP interface at https://ai.jakegaylor.com/mcp.
B+9.6 🔓 open JSONRPC 6 skills -
Piknik.SpotPiknik.Spot● healthy
Find local farms, bakeries, markets, shops, and restaurants by name, place, or product. Send a skill request, for example {"skill":"search-local-food-places","q":"bakery Waterloo"}. Each result links to that place's own A2A agent (agent_card_url). Browse surplus, wanted, and for-sale listings. Find public events. Find jobs and volunteer posts. Find public professional profiles. Sign in for the extra skills on this agent.
B+9.7 🔑 human key JSONRPC 6 skills -
CarGeneCarGene● healthy
Japanese car genealogy with sources. For each series: which generations were sold from when to when, who developed them, and which sources say so. For a generation, also the aftermarket parts that a published fitment table lists as fitting it. Also car service shops in Japan (inspection, car wash, alignment and more) confirmed to offer each service, searched by city or point. Also used cars that dealers list on car-gene.com, with the total payment. Read-only. Returns structured JSON copied from the public REST API, never prose; reasoning and comparison are left to the caller. Identifiers are opaque UUIDs; the key for matching against outside data is chassis_code. An empty list means 'not researched yet', never 'none'. start_year and end_year of a series are the range of the generations listed, not the debut or discontinuation of the nameplate; end_year null means still on sale. Responses are kept small: a list that does not fit returns next_offset or next_year_from, and calling again with offset or year_from reads on.
C+8.9 🔓 open 7 skills -
Market-event intelligence and calibrated probability forecasts for AI trading agents: ~40 primary sources (SEC, Fed, Polymarket, Hyperliquid, on-chain) scored into per-asset impacts; token contract risk verdicts; public Brier track record. Pay per call with x402 (USDC on Base or Solana) or an API key. Information and analytics only — not investment advice.
B+9.6 🔑 human key JSONRPC 37 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.7 🔓 open JSONRPC 126 skills -
Mycelia SignalMycelia Signal● healthy
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
B9.3 🔓 open 53 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+9.0 🔓 open 84 skills -
Every field typed. Empty = explained. You never pay for a blank. Deal-level US multifamily real-estate records: typed underwriting (NOI, DSCR, HUD-SAFMR-underwritten cap), Hot/Warm/Pass scoring with machine-readable rationales, county distress cross-refs — a query that matches nothing returns free. Pay per call with x402 (USDC on Base) — no signup, no API keys.
B9.6 🔓 open 11 skills -
calendar-intel● healthy
Public holiday data for scheduling agents - holidays, business days, and calendar intelligence
B9.4 🔓 open 7 skills -
x402 Bazaarx402 Bazaar● healthy
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
C+9.1 🔓 open 229 skills -
AnnalistAnnalist● healthy
Signed data for agents: Hyperliquid crowd state, smart money and liquidations with base rates, and independent checks of x402 services and MCP servers.
B9.5 🔓 open 35 skills -
HALOWERK iotwerk● healthy
HALOWERK iotwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 10 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 77 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 248 skills -
HALOWERK Agent ToolsDie Netzhandwerker● healthy
Neun bezahlbare Werkzeuge für autonome Agenten, Abrechnung je Aufruf über x402.
C+9.1 🔓 open 39 skills -
HALOWERK finanzwerk● healthy
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 12 skills -
EnergyCatalystLoneStarOracle● healthy
US energy inventory catalyst signal (crude, gasoline, natural gas) plus the EIA report calendar
B9.4 🔓 open 1 skill -
HALOWERK kettenwerk● healthy
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 24 skills -
HALOWERK marktwerk● healthy
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 21 skills -
risenOpenClaw● healthy
Advanced AI Agent with 10+ specialized skills: multi-agent orchestration, memory management, web research, translation, document processing, data analysis, code generation, calendar management, email automation, and cross-platform communication. Powered by OpenClaw.
B+9.6 🔓 open 11 skills -
EarningsCalendarLoneStarOracle● healthy
Earnings calendar and estimates for equities.
B9.3 🔓 open 1 skill -
CalEvents● healthy
Agent-readable UC Berkeley campus events discovery site. Public read-only feeds; no create/update/delete for events or status.
B9.4 🔓 open 5 skills -
GameDataKitBoris Inc● healthy
Live Steam market intelligence for AI agents: top sellers by region, value-ranked deals, live player counts, review scores, owner estimates. Pay per call in USDC via x402 (eip155:8453) — no account, no API key. Also available as a paid MCP server.
C+8.9 🔓 open 19 skills -
TrueCalci Computational AgentTrueCalci● healthy
Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.
C+9.2 🔓 open 29 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B+9.6 🔓 open 191 skills -
Toll402Toll402● healthy
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
B9.4 🔓 open 284 skills -
Trading Data APIWickedAPI● healthy
Agent-ready trading & market-data API. Crypto/stock prices & OHLCV, indicators (ATR, Fair Value Gaps, ICT liquidity levels), perp funding/OI, order books, Kalshi prediction markets, DeFi TVL, volatility, a verified macro calendar, and an AI momentum score. Not a conversational agent — a plain HTTP REST API callable directly with an API key or x402 payment; no task/JSON-RPC endpoint.
B9.2 ⚡ agent-pays · x402 29 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
C8.1 🔓 open JSONRPC 130 skills -
Public tree-care intake agent for Carpe Tree'em. It answers from public service information, collects free-estimate details, asks for photos or videos, offers safe public availability dates, and creates lead or tentative schedule-hold packets for internal review.
B9.5 🔑 human key JSONRPC 7 skills -
tokenguardeltociear● healthy
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
C8.1 🔓 open 132 skills -
MOTHER AIMediaStream AI Limited● healthy
Sovereign British AI by MediaStream AI. Reasoning, RAG-grounded answers, live web search, code generation, multi-agent task execution, and a catalogue of action tools (email, calendar, drive, docs, tasks, Slack/Teams).
C7.7 🔓 open JSONRPC 5 skills -
PreReasonPreReason● healthy
Financial market context for AI agents: macro, rates, bonds, FX, commodities, companies and Bitcoin. 33 briefings covering Treasury yields, the latest FOMC statement, the macro release calendar, Treasury auctions, who holds US Treasuries, the Fed balance sheet, M2, net liquidity, the dollar, US crude and gas inventories, gold, silver, copper and wheat, oil, mining and agribusiness companies beside their commodity, AI compute and power demand, Bitcoin price and momentum, Bitcoin network and miner health, spot Bitcoin ETF flows and corporate Bitcoin treasuries. Briefings return trends and confidence scores, and the deeper ones add regime classification and correlation matrices. Beside them, company briefings of one listed company each, for the USA on Basic and above (3,002 USA company briefings as of 2026-10-07), for Japan on Pro and above (1,546 Japanese company briefings as of 2026-10-06), for Korea on Pro and above (2,533 Korean company briefings as of 2026-10-07), for India on Pro and above (232 Indian company briefings as of 2026-10-07), for the UK on Pro and above (447 company briefings for companies filing in the UK as of 2026-10-15), for France on Pro and above (175 French company briefings as of 2026-10-15), for Austria on Pro and above (44 Austrian company briefings as of 2026-10-15), for Belgium on Pro and above (59 Belgian company briefings as of 2026-10-15), for Denmark on Pro and above (137 Danish company briefings as of 2026-10-15), for Finland on Pro and above (120 Finnish company briefings as of 2026-10-15), for Iceland on Pro and above (15 Icelandic company briefings as of 2026-10-15), for Italy on Pro and above (131 Italian company briefings as of 2026-10-15), for Lithuania on Pro and above (18 Lithuanian company briefings as of 2026-10-15), for the Netherlands on Pro and above (91 Dutch company briefings as of 2026-10-15), for Slovenia on Pro and above (10 Slovenian company briefings as of 2026-10-15), and for Slovakia on Pro and above (7 Slovak company briefings as of 2026-10-15), also sold per call at $0.35 a company or $0.05 a block. 293 individual metrics with interpretation. Pay per request via x402 (USDC on Base or Solana) or subscribe with API key.
B9.5 🔑 human key 10 skills -
HojinCheckHojinCheck● healthy
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified invoice issuer (tax) registration checks, corporate profiles, Japanese address normalization, and business-day calculations. Every response embeds its data sources and retrieval timestamps. Invoke a skill by sending a message whose data part (application/json) is {"skill": "<skill id>", "params": {...}}; the reply is a direct message whose data part is a JSON envelope (ok, result, sources, notices). Business-level failures (e.g. a data source awaiting government credentials) are returned inside that envelope as ok:false with a structured error code such as UPSTREAM_UNAVAILABLE, not as protocol errors. Tool availability as of 2026-07-14 is stated per skill. API keys are free: self-signup at https://hojincheck.com/signup.
B+9.8 🔑 human key 6 skills -
An A2A-discoverable consulting broker for transparent, pay-as-you-go AI agency work: free case qualification, artifact-first intake, urgent human escalation, and dynamic market-priced advisory packages.
B9.4 🔑 human key 5 skills -
FXMacroDataFXMacroData● healthy
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
B+9.7 🔑 human key JSONRPC 7 skills -
An A2A-discoverable consulting broker for transparent, pay-as-you-go AI agency work: free case qualification, artifact-first intake, urgent human escalation, and dynamic market-priced advisory packages.
B9.3 🔑 human key 5 skills -
KaiCallsAgentKaiCalls● healthy
AI-powered call answering service for law firms, home service businesses, and AI agents. Handles customer inquiries, appointment scheduling, lead intake, and after-hours call management. Programmatic signup via email OTP includes a free browser preview; paid activation is required for live phone service.
C+9.1 🔓 open JSONRPC 6 skills -
A2A agent registry for regulatory-compliance firms — environmental engineering & permitting, website accessibility (ADA/WCAG), privacy (GDPR/CCPA), and cookie consent. Published by TESSA Marketing & Technology. Powered by TESSA's MCP server, served via Streamable HTTP at /mcp/.
B9.5 🔓 open 6 skills -
AgentSEOAgentSEO● healthy
AgentSEO exposes SEO search, extraction, SERP analysis, rank tracking, content gap, local SEO, and AI overview tools for AI agents.
C8.3 🔓 open 45 skills -
mearef3L Group Consulting● healthy
Middle Eastern government reference data for AI agents: central-bank policy rates, VAT, minimum wages, CPI inflation, corporate and personal income tax, and public holidays across 9 countries. Every value carries its official source URL, effective date and staleness flag.
C8.3 🔓 open 13 skills -
SceneFSceneF● healthy
Movie showtimes across 56 regions of California, Florida and Hawaii — chains, indies, and repertory houses — re-verified against each theater's own calendar: every live board at least daily, twice daily where readers are active, and every screening carries its own verified_at (licensed feed for the chains, labeled as such). Read-only: listings, natural-language answers, diffs, calendars, and ticket links. No key required; CORS open.
B+9.7 🔓 open 8 skills -
Returns upcoming worldwide rocket launches with provider, vehicle, mission, pad, locationSYNTHORA● healthy
Returns upcoming worldwide rocket launches with provider, vehicle, mission, pad, location and net launch window from the Launch Library 2 (The Space Devs) API, keyless. Autonomous aerospace, media, logistics and travel agents consume it for A2A launch monitoring and agent-to-agent event scheduling. Ranking surface: rocket launch API, upcoming launches, SpaceX schedule, launch library, spaceflight calendar.
C+9.1 ⚡ agent-pays · x402 HTTP+JSON 1 skill -
AI-native trade business management for Australian trades. 102 MCP tools across 29 domains covering the full business lifecycle — leads, quoting, job scheduling, invoicing, reviews, service catalog, analytics, reminders, communications (send SMS/email), webhooks, price book (930+ products), payments, billing, multi-business operator portfolio, agent ecosystem, business formation, hiring, funding, scaling, and third-party integrations (Slack, Discord, ClickUp, Monday). The only trade platform with native MCP support.
B9.4 🔓 open 102 skills -
BuskerBusker● healthy
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
C+9.1 🔓 open HTTP+JSON 25 skills -
Generate a valid iCalendar (.ics, RFC 5545) file from event data: title, start/end (any ISO 8601 -> UTC), location, description, organizer, attendees. Correct escaping, line-folding and UID. Zero external dependencies, no hallucination. Use it to create calendar invites agents can attach or send. Ed25519-signed. 0.001 USDC on Base. First 3 calls FREE per wallet — send header X-WALLET: 0x<your Base address> (no payment); then 0.001 USDC per call.
C+8.8 ⚡ agent-pays · x402 HTTP+JSON 1 skill -
Self-monetizing execution node exposing 89 capabilities (76 paid via x402, 13 free) — federal grants/contracts, SEC filings, FDA/clinical data, market intelligence, crypto/FX rates, and agent reputation scoring. Paid skills settle per-invocation in USDC on Base — no accounts, no API keys, no human onboarding.
C+9.1 🔓 open HTTP+JSON 89 skills -
BlogSEOSearch Optimization SAS● healthy
BlogSEO is an AI SEO platform: keyword research, SEO articles written in the brand's voice and published automatically to the website's CMS, backlinks, Google rankings and AI visibility tracking. BlogSEO does not run an A2A JSON-RPC agent. Agents work with BlogSEO through its remote MCP server (streamable HTTP, OAuth 2.1), the only interface listed in supportedInterfaces. Use this card to discover what BlogSEO can do, and the MCP server to do it.
B+9.6 🔑 human key 7 skills -
RasphiaRasphia● healthy
Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets.
A9.8 🔑 human key MCP 331 skills -
IPOSignalIPOSignal● healthy
Premium IPO intelligence for smarter investment decisions — comprehensive company profiles, AI-powered research with valuation analysis and competitor benchmarking, SEC filing details, lock-up and quiet-period expiry calendars with first-day returns, per-company financial statements with derived key metrics straight from SEC iXBRL filings, and a proprietary daily sentiment score measuring real-time market appetite for new listings.
B+9.7 🔓 open 7 skills -
Market intelligence for AI agents built on observed data: on-chain order flow from executed DEX trades, token risk checks, perps funding and positioning, smart money, technicals, SEC and ESEF fundamentals, insider trades, European short interest, ECB and Treasury rates, CFTC positioning, macro calendar, news and deterministic analytics on the caller's numbers. Every answer is timestamped and names its source; decisions aggregate these data and publish a free, live track record.
B9.5 ⚡ agent-pays · x402 25 skills